Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JScrollPane.ScrollBar

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JScrollBar
                              |
                              +--javax.swing.JScrollPane.ScrollBar

protected class JScrollPane.ScrollBar
extends JScrollBar
implements UIResource

By default JScrollPane creates scrollbars that are instances of this class. Scrollbar overrides the getUnitIncrement and getBlockIncrement methods so that, if the viewports view is a Scrollable, the view is asked to compute these values. Unless the unit/block increment have been explicitly set.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `Scrollable`, `JScrollPane.createVerticalScrollBar()`, `JScrollPane.createHorizontalScrollBar()`, Serialized Form

Inner classes inherited from class javax.swing.JScrollBar
`JScrollBar.AccessibleJScrollBar`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.JScrollBar
`blockIncrement, model, orientation, unitIncrement`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JScrollPane.ScrollBar(int orientation)` Create a scrollbar with the specified orientation, where the options are: JScrollPane.VERTICAL_SCROLLBAR JScrollPane.HORIZONTAL_SCROLLBAR

Method Summary
`int` | `getBlockIncrement(int direction)` If the viewports view is a Scrollable then ask the view to compute the block increment.
`int` | `getUnitIncrement(int direction)` If the viewports view is a Scrollable then ask the view to compute the unit increment.
`void` | `setBlockIncrement(int blockIncrement)` Messages super to set the value, and resets the `blockIncrementSet` instance variable to true.
`void` | `setUnitIncrement(int unitIncrement)` Messages super to set the value, and resets the `unitIncrementSet` instance variable to true.

Methods inherited from class javax.swing.JScrollBar
`addAdjustmentListener, fireAdjustmentValueChanged, getAccessibleContext, getBlockIncrement, getMaximum, getMaximumSize, getMinimum, getMinimumSize, getModel, getOrientation, getUI, getUIClassID, getUnitIncrement, getValue, getValueIsAdjusting, getVisibleAmount, paramString, removeAdjustmentListener, setEnabled, setMaximum, setMinimum, setModel, setOrientation, setValue, setValueIsAdjusting, setValues, setVisibleAmount, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JScrollPane.ScrollBar

    public JScrollPane.ScrollBar(int orientation)

  Create a scrollbar with the specified orientation, where the options are:
  - JScrollPane.VERTICAL_SCROLLBAR
  - JScrollPane.HORIZONTAL_SCROLLBAR
  Parameters:
    `orientation` - an int specifying the orientation

Method Detail

### setUnitIncrement

    public void setUnitIncrement(int unitIncrement)

  Messages super to set the value, and resets the `unitIncrementSet` instance variable to true.
  Overrides:
    setUnitIncrement in class JScrollBar

### getUnitIncrement

    public int getUnitIncrement(int direction)

  If the viewports view is a Scrollable then ask the view to compute the unit increment. Otherwise return super.getUnitIncrement().
  Overrides:
    getUnitIncrement in class JScrollBar
  See Also:
    `Scrollable.getScrollableUnitIncrement(java.awt.Rectangle, int, int)`

### setBlockIncrement

    public void setBlockIncrement(int blockIncrement)

  Messages super to set the value, and resets the `blockIncrementSet` instance variable to true.
  Overrides:
    setBlockIncrement in class JScrollBar

### getBlockIncrement

    public int getBlockIncrement(int direction)

  If the viewports view is a Scrollable then ask the view to compute the block increment. Otherwise the blockIncrement equals the viewports width or height. If there's no viewport reuurn super.getBlockIncrement().
  Overrides:
    getBlockIncrement in class JScrollBar
  See Also:
    `Scrollable.getScrollableBlockIncrement(java.awt.Rectangle, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.